Update checkForDependencies()

This commit is contained in:
Santiago Lo Coco 2022-02-01 16:24:08 -03:00
parent 49ae05dde9
commit 5a1e02488a
1 changed files with 13 additions and 17 deletions

View File

@ -19,15 +19,13 @@ checkParameters() {
exit 0 exit 0
;; ;;
-w | --whiptail) -w | --whiptail)
checkForDependencies "libnewt" checkForDependencies "libnewt" && setDialogBox "whiptail"
setDialogBox "whiptail"
;; ;;
-t | --text) -t | --text)
setDialogBox "plain" setDialogBox "plain"
;; ;;
-l | --log) -l | --log)
checkForDependencies "dialog" checkForDependencies "dialog" && setDialogBox "dialog"
setDialogBox "dialog"
setLogToFile true "$(pwd -P)" setLogToFile true "$(pwd -P)"
;; ;;
-p | --packages) -p | --packages)
@ -42,8 +40,7 @@ checkParameters() {
done done
if [ -z "$(getDialogBox)" ]; then if [ -z "$(getDialogBox)" ]; then
checkForDependencies "dialog" checkForDependencies "dialog" && setDialogBox "dialog"
setDialogBox "dialog"
fi fi
} }
@ -101,18 +98,15 @@ checkForDependencies() {
command -v "${comm}" &> /dev/null command -v "${comm}" &> /dev/null
if [ $? -eq 1 ]; then if [ $? -eq 1 ]; then
unameOutput=$(uname -a | grep "arch") unameOutput=$(uname -a | grep "arch")
if [ -f "/etc/arch-release" ] || [ "$unameOutput" -eq 0 ]; then [ ! -f "/etc/arch-release" ] && [ "$unameOutput" -ne 0 ] && return 1
sudo pacman --noconfirm --needed -Sy "${1}" sudo pacman --noconfirm --needed -Sy "${1}"
if [ $? -eq 1 ]; then if [ $? -eq 1 ]; then
echo "Couldn't install ${1}." >&2 echo "Couldn't install ${1}." >&2
exit 1 exit 1
fi
return
fi fi
setDialogBox "plain"
fi fi
return 0
} }
runUserScripts() { runUserScripts() {
@ -154,4 +148,6 @@ runScript() {
cd "$lastFolder" || { echo "Couldn't cd into '$lastFolder'." 1>&2 && exit 1; } cd "$lastFolder" || { echo "Couldn't cd into '$lastFolder'." 1>&2 && exit 1; }
} }
runScript "$@" # runScript "$@"
checkForDependencies "whip"
exit $?